Skip to main content
GET
cURL
Fetch the signed receipt for a chat request executed in a TEE. See TEE Verification.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

requestId
string
required

Receipt ID (X-Receipt-Id) or the response body id

Query Parameters

model
string
required

TEE model to attest

signing_algo
string

Signing algorithm to use

Response

TEE signature response

receipt
object

The signed receipt, with its event_log, key_id and signature

text
string

The request and response hashes, as :

signature
string

An ECDSA signature over text

signing_address
string

The address of the key that signed text

signing_algo
string

The algorithm of signature